# Perform Complex Matrix Operations Symbolically on Sparse Matrices

## Documentation for package ‘lazymatrix’ version 0.1.0

- DESCRIPTION file
- User guides, package vignettes and other documentation
- Package NEWS
- Package README

## Help Pages

%*%-method | Matrix multiplication for vector and 'LazyMatrix'
%*%-method | Perform the dot product between two LazyColumn vectors
%*%-method | Perform the dot product between a LazyColumn and a numeric vector
%*%-method | Matrix multiplication for 'LazyMatrix' and vector
%*%-method | Matrix multiplication for 'LazyMatrix' and matrix-object.
%*%-method | Perform the dot product between a numeric vectorand a LazyColumn
*-method | Multiply element-wise two LazyColumn vectors
*-method | Multiply a LazyColumn by a numeric scalar or vector
*-method | Multiply a numeric scalar or vector by a LazyColumn
+-method | Vector Addition between regular vector and 'LazyColumn'
+-method | Vector Addition between 'LazyColumn' and regular vector
+-method | Vector Addition between two 'LazyColumn' vectors.
--method | Vector Subtraction between regular vector and 'LazyColumn'
--method | Vector subtraction between a 'LazyColumn' vector and a regular R vector.
--method | Vector Subtraction between two 'LazyColumn' vectors.
colnames-method | Retrieve or set the row or column names of a LazyMatrix object.
Compare-method | Comparison operators for LazyColumn
Compare-method | Comparison operators for LazyColumn
crossprod-method | Crossproduct for 'LazyMatrix'
dim-method | Returns the dimension of a LazyMarix Object.
LazyColumn-class | LazyColumn S4 class
LazyMatrix | Constructs a LazyMatrix object.
LazyMatrix-class | LazyMatrix S4 class
lazy_crossprod_vec | Fast crossprod for LazyMatrix (dense case)
lazy_crossprod_vec_sp | Fast crossprod for LazyMatrix (sparse case)
length-method | Get the length of a LazyColumn
lsqr | Performs least squares estimation on LazyMatrix object using the iterative lsqr algorithm.
lsqr-method | Performs least squares estimation on LazyMatrix object using the iterative lsqr algorithm.
ncol-method | Returns the number of columns of the data matrix
norm | Compute the norm of a LazyMatrix or LazyColumn
norm-method | Perform the norm of a LazyColumn vector
norm-method | Computes the Frobenius norm of a 'LazyMatrix' object.
nrow-method | Returns the number of rows of the data matrix
prcomp-method | Performs a principal component analysis on the LazyMatrix object using irlba:s sparse svd.
setNames-method | Set names for a LazyColumn
subset-LazyColumn | Subset a LazyColumn
subset-LazyMatrix | Subset a LazyMatrix by columns
svd-method | Singular Value decomposition for 'LazyMatrix'.
t-method | Given a 'LazyMatrix' x, t returns the transpose of x.
[-method | Subset a LazyColumn
[-method | Subset a LazyMatrix by columns